<div class="chessboard">
      <div *ngFor="let case of sixtyFour">
        <square 
        *ngIf="xy(case) as pos" 
        [black]="isBlack(pos)"
         [isBeforeOrLastMove]="isBeforeOrLastMove(pos)"
          [prenable]="(isAPiece(pos) && isAPossibleMove(pos) || isRookable(pos))"
          [isChecked]="isChecked(pos)"
          [isClicked]="isClicked(pos)"
          >

        <span *ngIf="isANumberCoordinate(pos)" class="ordinate">{{ordinate}}</span>
        <span *ngIf="isALetterCoordinate(pos)" class="absciss">{{absciss}}</span>
        <span *ngIf="isResizeButton(pos)"  class="resize-button-span">
          <button
          ondragstart="return false;"
           ondrop="return false;" 
           class="resize-button"  resize>
            <!-- ne trouve pas l'image -->
           <img src="../../../../../assets/icons/expand-chessboard.png"
           style="width: 12px; margin-right: -6px;"
           alt="">
            <!-- resize -->
          </button>
        </span>
        <span *ngIf="isAPossibleMove(pos)" [ngClass]="{'dot': !isAPiece(pos)}"></span>

      </square>
      </div>
</div>
  